This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 924150 - Cannot go back from the "Create User" spoke until new user is created.
Cannot go back from the "Create User" spoke until new user is created.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-21 05:55 EDT by Jan Stodola
Modified: 2013-05-12 13:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 13:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (21.23 KB, text/plain)
2013-03-21 06:01 EDT, Jan Stodola
no flags Details
ifcfg.log (486 bytes, text/plain)
2013-03-21 06:01 EDT, Jan Stodola
no flags Details
packaging.log (2.51 MB, text/plain)
2013-03-21 06:01 EDT, Jan Stodola
no flags Details
program.log (34.78 KB, text/plain)
2013-03-21 06:01 EDT, Jan Stodola
no flags Details
storage.log (139.63 KB, text/plain)
2013-03-21 06:01 EDT, Jan Stodola
no flags Details
syslog (73.32 KB, text/plain)
2013-03-21 06:01 EDT, Jan Stodola
no flags Details
X.log (15.33 KB, text/plain)
2013-03-21 06:02 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-03-21 05:55:46 EDT
Description of problem:
You cannot go back from the "Create User" spoke until new user is created.

Version-Release number of selected component (if applicable):
Fedora-19-Alpha-TC1
anaconda-19.12

How reproducible:
always

Steps to Reproduce:
1. start graphical installation
2. configure partitioning/packages end begin the installation
3. click on "USER CREATION"
4. try to go back without creating new user (tried clicking on button "Done" and pressing the Esc key)
  
Actual results:
Unable to go back until new user is created.

Expected results:
User can go back without having to create new user.

Additional info:
Comment 1 Jan Stodola 2013-03-21 06:01:18 EDT
Created attachment 713713 [details]
anaconda.log
Comment 2 Jan Stodola 2013-03-21 06:01:24 EDT
Created attachment 713714 [details]
ifcfg.log
Comment 3 Jan Stodola 2013-03-21 06:01:41 EDT
Created attachment 713715 [details]
packaging.log
Comment 4 Jan Stodola 2013-03-21 06:01:50 EDT
Created attachment 713716 [details]
program.log
Comment 5 Jan Stodola 2013-03-21 06:01:54 EDT
Created attachment 713717 [details]
storage.log
Comment 6 Jan Stodola 2013-03-21 06:01:59 EDT
Created attachment 713718 [details]
syslog
Comment 7 Jan Stodola 2013-03-21 06:02:09 EDT
Created attachment 713719 [details]
X.log
Comment 8 Martin Sivák 2013-03-21 09:39:04 EDT
Did you read the orange warning at the bottom of the screen? I am sure it was asking for password.. if you uncheck the password checkbox it will let you return to the hub.

But I will change the logic so it checks whether a valid username is present before checking for password.
Comment 9 Jan Stodola 2013-03-26 08:39:31 EDT
Fixed in anaconda-19.13 (F19-Alpha-TC2).
When the Username field is empty, anaconda returns to the main hub and no user is created.

Moving to VERIFIED.
Comment 10 Adam Williamson 2013-05-12 13:09:11 EDT
We're well past that anaconda in stable now. Closing.

Note You need to log in before you can comment on or make changes to this bug.